# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryPickCount

Function

Returns the number of picks resulting from a poke.

Syntax
`
#include <dx/dx.h>
`

Error DXQueryPickCount(Field picks, int poke, int *pickCount)

Functional Details

The input to the routine is a Field (`picks`, containing pick information) and a poke number (`poke`). The pick Field is created by the Pick tool. The pick count is returned in (`*pickCount`).

Return Value

Returns `OK` or returns `NULL` and sets an error code. Errors include requesting a pick count for a nonexistent poke.

See Also

`DXGetPickPoint, DXQueryPokeCount, DXQueryPickPath, DXTraversePickPath`

14.6 , "Pick-Assistance Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]